Bug 1322023 - New Self_service ui does not support dynamic drop downs which populate values from automate
Summary: New Self_service ui does not support dynamic drop downs which populate values...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.5.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: GA
: 5.5.5
Assignee: abellott
QA Contact: Shveta
URL:
Whiteboard: ssui
Depends On: 1321352
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-03-29 15:02 UTC by John Prause
Modified: 2019-11-14 07:41 UTC (History)
13 users (show)

Fixed In Version: 5.5.5.0
Doc Type: Bug Fix
Doc Text:
Clone Of: 1321352
Environment:
Last Closed: 2016-07-26 15:32:03 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:1488 normal SHIPPED_LIVE CFME 5.5.5 bug fixes and enhancement update 2016-07-26 19:28:27 UTC

Comment 1 eclarizi 2016-06-14 19:14:09 UTC
Alberto, I re-assigned this to you because https://bugzilla.redhat.com/show_bug.cgi?id=1321352 was fixed by a commit that you made. I think all that needs to be done is to cherry-pick this commit to 5.5.z, but I wanted to assign to you in case you think that there is anything else that may need to be done, or if there's some crazy conflict that arises on the cherry-pick.

Thanks!

Comment 3 CFME Bot 2016-06-21 21:32:05 UTC
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=2e38c82df02a7baf9179eb65f1285e7dc59a19b8

commit 2e38c82df02a7baf9179eb65f1285e7dc59a19b8
Merge: a0c3c1e 6811105
Author:     Gregg Tanzillo <gtanzill@redhat.com>
AuthorDate: Tue Jun 21 17:30:11 2016 -0400
Commit:     Gregg Tanzillo <gtanzill@redhat.com>
CommitDate: Tue Jun 21 17:30:11 2016 -0400

    Merge branch '55z_api_ssui_dynamic_drop_down' into '5.5.z'
    
    [api] Service Dialog content query update
    
    Update to make sure service dialogs "content" queries are refreshed
    by automate via a workflow when queried for a specific service_template
    or indirectly for a service.
    
    i.e. GET /api/service_templates/:id/service_dialogs/:dialog_id?attributes=content
         GET /api/service_templates/:id/service_dialogs
             ?expand=resources
             &attributes=content
         GET /api/services/:id/service_dialogs/:dialog_id?attributes=content
         GET /api/services/:id/service_dialogs
             ?expand=resources
             &attributes=content
    
    Cherry-Pick from: https://github.com/ManageIQ/manageiq/pull/7671
    
    Cherry-pick not clean, there was a conflict in: app/controllers/api_controller/service_dialogs.rb
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1322023
    
    See merge request !978

 app/controllers/api_controller/renderer.rb        | 13 ++++++++++--
 app/controllers/api_controller/service_dialogs.rb | 25 +++++++++++++++++++++++
 app/models/dialog.rb                              | 12 +++++++++--
 3 files changed, 46 insertions(+), 4 deletions(-)

Comment 4 CFME Bot 2016-06-21 21:32:11 UTC
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=681110563f4af6b35255f0e3dc2b06a1e6d87a90

commit 681110563f4af6b35255f0e3dc2b06a1e6d87a90
Author:     Alberto Bellotti <abellott@redhat.com>
AuthorDate: Fri Apr 1 17:32:55 2016 -0400
Commit:     Alberto Bellotti <abellott@redhat.com>
CommitDate: Tue Jun 21 10:56:12 2016 -0400

    [api] Service Dialog content query update
    
    Update to make sure service dialogs "content" queries are refreshed
    by automate via a workflow when queried for a specific service_template
    or indirectly for a service.
    
    i.e. GET /api/service_templates/:id/service_dialogs/:dialog_id?attributes=content
         GET /api/service_templates/:id/service_dialogs
             ?expand=resources
             &attributes=content
         GET /api/services/:id/service_dialogs/:dialog_id?attributes=content
         GET /api/services/:id/service_dialogs
             ?expand=resources
             &attributes=content
    
    Cherry-Pick from: https://github.com/ManageIQ/manageiq/pull/7671
    
    Cherry-pick not clean, there was a conflict in: app/controllers/api_controller/service_dialogs.rb
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1322023

 app/controllers/api_controller/renderer.rb        | 13 ++++++++++--
 app/controllers/api_controller/service_dialogs.rb | 25 +++++++++++++++++++++++
 app/models/dialog.rb                              | 12 +++++++++--
 3 files changed, 46 insertions(+), 4 deletions(-)

Comment 6 Shveta 2016-07-06 22:22:13 UTC
Fixed.
Verified in 5.5.5.0.20160628144838_629f93b

Comment 8 errata-xmlrpc 2016-07-26 15:32:03 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-1488.html


Note You need to log in before you can comment on or make changes to this bug.